import React from 'react'

import Sleep from '../components/sleep'
import Head from 'next/head'

export default function Manual() {
  return <div>{renderMaual()}</div>
}

function renderMaual() {
  return (
    <div>
      <Head>
        <title>Manual - Qmining | Frylabs.net</title>
      </Head>
      <center>
        <h1>Manual</h1>
      </center>
      <hr />
      <hr />
      <Sleep />
      <center>
        Ez a userscript Moodle/Elearnig/KMOOC tesztek megoldása során segítséget
        jelenít meg.
        <h2>
          Ha az oldalt vagy a scriptet használod: akármikor észrevehetik,
          leállhat a szerver, és rossz lehet az összes válasz
        </h2>
        Valószínűleg semmi baj nem lesz, de én szóltam. Ha ez iránt aggódsz,
        olvasd el a kockázatok részt
      </center>
      <hr />
      <hr />
      <center>
        <h1>Userscript használata</h1>
      </center>
      <hr />
      <hr />
      <div className={'manualUsage'}>
        <div>
          <ul>
            <li>
              Tölts le egy userscript futtató kiegészítőt a böngésződhöz:{' '}
              <a
                href="https://www.tampermonkey.net/"
                target="_blank"
                rel="noreferrer"
              >
                Tampermonkey
              </a>
            </li>
            <li>
              <a
                href="http://qmining.frylabs.net/install?man"
                target="_blank"
                rel="noreferrer"
              >
                Weboldalról
              </a>{' '}
              rakd fel a scriptet
            </li>
            <li>
              Script majd udvariasan megkéri, hogy hagy beszélgessen a
              szerverrel, mert mással nem tud, ezt engedélyezd.
            </li>
            <li>
              Ezután:
              <ul>
                <li>
                  Teszt oldalon a kérdésre a választ kell látnod felül egy
                  felugró ablakszerűben
                </li>
                <li>
                  Teszt ellenőrzés oldalon a script beküldi a szervernek a
                  helyes válaszokat, az lementi az új kérdéseket, amik ezután
                  azonnal elérhetők lesznek
                </li>
              </ul>
            </li>
          </ul>
          Egyéb fontos tudnivalók:
          <ul>
            <li>
              Ezt ments sokszor akár minden nap:{' '}
              <a
                href="http://qmining.frylabs.net/allqr.txt?man"
                target="_blank"
                rel="noreferrer"
              >
                {' '}
                Összes kérdés TXT
              </a>{' '}
              (ha elszállna a szerver)
            </li>
            <li>
              <a
                href="https://qmining.frylabs.net/allQuestions.html"
                target="_blank"
                rel="noreferrer"
              >
                Összes kérdés oldal
              </a>
              , ahol manuál tudsz keresni ha valami gáz lenne a scriptel
            </li>
          </ul>
          <p /> Egyéb funkciók:
          <ul>
            <li>
              Ha esetleg videókat nézel, akkor spaceval lehet play/pausolni, és
              jobbra/balra gombbal ugrani a videóban.
            </li>
          </ul>
        </div>
        <div className={'rtfmImage'}>
          <img
            style={{ maxWidth: '100%', minWidth: '200px' }}
            src="img/rtfm.jpg"
            alt="img"
          />
        </div>
      </div>
      <hr />
      <hr />
      <center>
        <h1>Jelszavak</h1>
      </center>
      <hr />
      <hr />
      Ha ezt olvasod valszeg már van neked egy. Azért lett bevezetve, hogy
      nagyjából zárt legyen a felhasználók köre
      <ul>
        <li>Minden felhasználónak más jelszava van</li>
        <li>
          Elvileg elég csak 1 szer beírnod, és nem kell többet, de{' '}
          <b>mentsd le biztos helyre a jelszót, hogy később is meglegyen!</b> Ha
          többször kell akkor az bug,{' '}
          <a
            href="http://qmining.frylabs.net/feedback?man"
            target="_blank"
            rel="noreferrer"
          >
            és szólj
          </a>
        </li>
        <li>
          <b>
            Jelenleg nincs elfelejtett jelszó funkció, ha elfelejted akkor az
            örökre eltűnik!
          </b>
        </li>
        <li>
          Ha van jelszavad akkor bizonyos határok között{' '}
          <a
            href="https://qmining.frylabs.net/pwRequest?man"
            target="_blank"
            rel="noreferrer"
          >
            te is tudsz generálni másoknak
          </a>
          (ncore style).
        </li>
        <li>
          Saját jelszavad ne oszd meg, belépésnél máshonnan azonnal ki leszel
          jelentkeztetve, és minek ha tudsz adni amúgy is
        </li>
        <li>
          Mivel felhasználóneved nincs, így teljesen anoním az egész. Ez miatt
          jelszót nem lehet megváltoztatni, hogy a szükséges komplexitás
          megmaradjon
        </li>
      </ul>
      <hr />
      <hr />
      <center>
        <h1>Gyakran előforduló kérdések</h1>
      </center>
      <hr />
      <hr />
      <ul>
        <li>
          <b>
            Olyan helyeken fut le a script, ahol nem kellene, vagy ideiglenesen
            ki akarod kapcsolni
          </b>
          <br /> Tampermonkey bővitmény ikon -{'>'} click -{'>'} scriptet
          kapcsold ki. Csak ne felejtsd visszakapcsolni ;)
        </li>
        <p />
        <li>
          <b>
            Túl nagy a kérdést és a választ megjelenítő ablak, nem tudok a
            válaszra kattintani
          </b>
          <br /> Zommolj ki egy kicsit, vagy kapcsold ki addig a scriptet.
          Továbbá középső egérgombra kattintva rá el bírod tüntetni az ablakot,
          amíg újra nem töltöd az oldalt, vagy másikra ugrasz.
        </li>
        <p />
        <li>
          <b>Gombok, %-ok, számok</b>
          <br />
          <img style={{ maxWidth: '100%' }} src="img/6.png" alt="img" />
        </li>
        <p />
      </ul>
      <hr />
      <hr />
      <center>
        <h1>Kockázatok</h1>
      </center>
      <hr />
      <hr />
      <ul>
        <li>
          <b>Bármikor észrevehetik hogy használod a scriptet</b>
          <br />
          A weboldalt már kevésbé, de úgy nem menti el a kérdéseket a script,
          mert nem fut. Később manuálisan is be lehet majd küldeni
          kérdés-válaszokat.
          <p />
          Ha arra nem veszik a fáradságot, hogy a kérdéseket lecseréljék akkor
          valószínűleg arra se hogy userscript futását detektáló kódot rakjanak
          a weboldalra. A{' '}
          <a href="https://moodle.org/" target="_blank" rel="noreferrer">
            Moodle
          </a>{' '}
          egy nyílt forráskódú, valószínűleg self-hosted rendszer. Valószínűleg
          az egyetem egy ezer éves debian szerverén fut, amihez senki se mer
          nyúlni, nemhogy a moodle-t frissítse valaki.
          <p />
          A script shadow-root hoz teszi hozzá az összes megjelenített
          elementet, így ezeket szinte lehetetlen detektálni. A moodle
          semmiféleképpen nem látja, hogy milyen más oldalak vannak megnyitva a
          böngésződben. Nem látja az XMLHttp requesteket se, amit a script
          végez. Egy Matomo nevű script látja hogy milyen oldalarka navigálsz a
          moodle-ről, de a script nem linkekkel irányít át, hanem javascript
          eseménnyel, amit nem tud nyomon követni.
          <p />
          Aztán ki tudja ténylegesen hogy lehet
        </li>
        <li>
          <b>Bármikor leállhat a szerver</b>
          <br />
          És akkor nem bírod megnézni a válaszokat. Erre van az{' '}
          <a
            href="http://qmining.frylabs.net/allqr.txt?man"
            target="_blank"
            rel="noreferrer"
          >
            {' '}
            összes kérdés TXT
          </a>
        </li>
        <li>
          <b>Akármelyik válasz rossz lehet</b>
          <br />
          Pl.: ha a script rosszul menti le, vagy rossz kérdésre ad választ
        </li>
      </ul>
      <hr />
      <hr />
      <center>
        <h1>Egyéb</h1>
      </center>
      <hr />
      <hr />
      <h2 id="sitesave">Weboldal lementése</h2>
      Hogy a hibákat a saját gépemen reprodukálni tudjam, és könnyen ki bírjam
      javítani sokszor jól jön ha egy lementett weboldalt megkapok. Így lehet
      letölteni egy oldalt:
      <img style={{ maxWidth: '100%' }} src="img/websitesave.png" alt="img" />
      <br />
      <a
        href="http://qmining.frylabs.net/feedback?man"
        target="_blank"
        rel="noreferrer"
      >
        Ide tudod feltölteni
      </a>
      <br />
      Mivel nincs hozzáférésem semmilyen egyetemi oldalhoz, így csak így tudom
      hatékonyan tesztelni a scriptet. Ezért hatalmas segítség ha feltöltöd azt
      az oldalt amin hibával találkozol.
      <hr />
      <h2 id="scriptreinstall">Script újratelepítése</h2>
      Jelenleg két helyről lehet telepíteni a scriptet: greasyforkról és a
      weboldalról. A greasyforkos telepítési lehetőség meg fog szűnni, így ha
      onnan telepítetted, akkor nem lesznek frissítések elérhetők (amik nagyon
      fontosak (de tényleg)). Ezért a következő rövid manővert kellene
      végrehajtani, hogy minden zökkenőmentesen menjen:
      <ul>
        <li>Böngésző bővítményeidnél kattints a tampermonkey-ra</li>
        <li>Válaszd ki alulról második opciót, ami dashboard néven fut</li>
        <li>
          Ekkor új tabban felugranak telepített scriptjeid. Keresd meg a
          Moodle/Elearning/KMOOC test help-et, és a sor végén kattints a kuka
          gombra
        </li>
        <li>Ha megkérdezi mondd neki, hogy biztos törölni akarod</li>
        <li>
          Ezután simán kattints{' '}
          <a
            href="http://qmining.frylabs.net/install?man"
            target="_blank"
            rel="noreferrer"
          >
            ide a script újratelepítéséhez a weboldalról.
          </a>
        </li>
        <li>
          Kész! Lehet megkérdezi újra, hogy elérheti-e a szervert, de azt csak
          egyszer. Szokásos módon engedélyezd, hogy le bírja kérni a helyes
          válaszokat
        </li>
      </ul>
      Ezzel semmi adat nem vész el, régi jelszó ugyanolyan jó marad (csak ne
      felejtsd azt el)
    </div>
  )
}
